PUT /v1/connectors/{id}
Update a connector

Path Parameters

id string required path
Connector ID

Request Body required

Connector update details

application/json
One of:
Option 1
Option 2
data object
description string
name string

Responses

200 OK
application/json
code integer
data object
createdAt string
createdBy string
description string
id string
maskedData object
Computed field, not persisted
name string
organizationId string
provider string
type string
updatedAt string
updatedBy string
message string
requestId string
400 Bad Request
404 Not Found
curl -X PUT 'https://api.example.com/v1/connectors/string' \  -H 'Authorization: Bearer YOUR_API_TOKEN' \  -H 'Content-Type: application/json' \  -d '{}'
const response = await fetch('https://api.example.com/v1/connectors/string', {  method: 'PUT',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN",      "Content-Type": "application/json"  },  body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.put('https://api.example.com/v1/connectors/string', headers=headers, json={})print(response.json())
package mainimport (	"fmt"	"io"	"net/http"	"strings")func main() {	body := strings.NewReader(`{}`)	req, _ := http.NewRequest("PUT", "https://api.example.com/v1/connectors/string", body)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	req.Header.Set("Content-Type", "application/json")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 200,  "data": {    "createdAt": "<string>",    "createdBy": "<string>",    "description": "<string>",    "id": "<string>",    "maskedData": "<object>",    "name": "<string>",    "organizationId": "<string>",    "provider": "<string>",    "type": "<string>",    "updatedAt": "<string>",    "updatedBy": "<string>"  },  "message": "success",  "requestId": "abc-123"}
Ask a question... ⌘I